﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;
using NUnit.Framework;
using EcoMvcExample.MvcWebsite;
using EcoMvcExample.MvcWebsite.Controllers;


namespace EcoMvcExample.MvcWebsite.Tests.Controllers
{
    /// <summary>
    /// Summary description for AccountControllerTest
    /// </summary>
    [TestFixture]
    public class AccountControllerTest
    {
        [Test]
        public void Login()
        {
            // Setup
            AccountController controller = new AccountController();

            // Execute
            ViewResult result = controller.Login() as ViewResult;

            // Verify
            IDictionary<string, object> viewData = result.ViewData as IDictionary<string, object>;
            Assert.AreEqual("Login", viewData["Title"]);
        }

        /* TODO
         * This test requires a little more attention, as it will require a fake/mock context
        [Test]
        public void Logout()
        {
            // Setup
            AccountController controller = new AccountController();

            // Execute
            ViewResult result = controller.Logout() as ViewResult;

            // Verify
            IDictionary<string, object> viewData = result.ViewData as IDictionary<string, object>;
            Assert.AreEqual("Home Page", viewData["Title"]);
            Assert.AreEqual("Welcome to ASP.NET MVC!", viewData["Message"]);
        }*/

        [Test]
        public void Register()
        {
            // Setup
            AccountController controller = new AccountController();

            // Execute
            ViewResult result = controller.Register() as ViewResult;

            // Verify
            IDictionary<string, object> viewData = result.ViewData as IDictionary<string, object>;
            Assert.AreEqual("Register", viewData["Title"]);
        }
    }
}
