﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Index.aspx.cs" Inherits="EcoMvcExample.MvcWebsite.Views.Tasks.Index" %>
<%@ Import Namespace="EcoMvcExample.Model" %>
<%@ Import Namespace="EcoMvcExample.MvcWebsite.Controllers" %>
<%@ Import Namespace="EcoMvcExample.MvcWebsite.Models" %>
<%@ Import Namespace="Microsoft.Web.Mvc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <h2>My Current Tasks</h2>
    
    <% if (ViewData.Model.Count > 0)
       { %>
    <table>
        <tbody>
            <tr>
                <td><b>Task Name</b></td>
                <td><b>Options</b></td>
            </tr>
            
            <tr>
                <td>&nbsp;</td>
            </tr>
            
            <% foreach (Task t in this.ViewData.Model)
               { %>

            <tr>
                <td>
                    <% if (t.Completed)
                       { %>
                    <del>   
                    <% } %>
                    <%= Html.Encode(t.Name) %>
                    <% if (t.Completed)
                       { %>
                    </del>
                    <% } %>
                </td>
                <td>
                    <%= Html.ActionLink<TasksController>(tc => tc.Details(EcoHelper.IdForObject(t.AsIObject())), "View Tasks Details") %>
                </td>
            </tr>

            <% } %>
        </tbody>
    </table>
    <% }
       else
       { %>
       <p>You have no current tasks.</p>
    <% } %>
</asp:Content>
